Skip to content

Carthage integration

Import the SDK

Starting from version 4.4.0, the Braze SDK supports XCFrameworks when integrating via Carthage. To import the full SDK, include these lines in your Cartfile:

1
2
binary "https://raw.githubusercontent.com/Appboy/appboy-ios-sdk/master/appboy_ios_sdk.json"
github "SDWebImage/SDWebImage"

Reference the Carthage quick start guide for more instructions about importing the SDK.

When migrating from a version prior to 4.4.0, follow the Carthage migration guide for XCFrameworks.

Previous versions

For versions 3.24.0 through 4.3.4, include the following in your Cartfile:

1
binary "https://raw.githubusercontent.com/Appboy/appboy-ios-sdk/master/appboy_ios_sdk_full.json"

To import versions prior to 3.24.0, include the following in your Cartfile:

1
github "Appboy/Appboy-iOS-SDK" "<BRAZE_IOS_SDK_VERSION>"

Make sure to replace <BRAZE_IOS_SDK_VERSION> with the appropriate version of the Braze iOS SDK in “x.y.z” format.

Next steps

Follow the instructions for completing the integration.

Core only integration

If you want to use the Core SDK without any UI components or dependencies, install the core version of the Braze Carthage framework by including the following line in your Cartfile:

1
binary "https://raw.githubusercontent.com/Appboy/appboy-ios-sdk/master/appboy_ios_sdk_core.json"
WAS THIS PAGE HELPFUL?
New Stuff!